Bug 812129 - [abrt] kernel: kernel BUG at fs/direct-io.c:1013!
[abrt] kernel: kernel BUG at fs/direct-io.c:1013!
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Moyer
Fedora Extras Quality Assurance
abrt_hash:30fa121dd0676af597e7abe5d52...
: Reopened
Depends On: 824107
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 16:07 EDT by Dimon
Modified: 2012-12-01 03:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-21 22:51:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
quilt series to fix the bug (5.57 KB, application/octet-stream)
2012-11-16 17:16 EST, Jeff Moyer
no flags Details
revised quilt series (5.57 KB, application/octet-stream)
2012-11-16 17:37 EST, Jeff Moyer
no flags Details

  None (edit)
Description Dimon 2012-04-12 16:07:48 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.1-3.fc16.i686 root=/dev/sda1 ro LANG=ru_RU.UTF-8 rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet rhgb rd.luks=0 SYSFONT=latarcyrheb-sun16
event_log:      2012-04-12-23:05:08* (exited with 9)
kernel:         3.3.1-3.fc16.i686
reason:         kernel BUG at fs/direct-io.c:1013!
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           Чт. 12 апр. 2012 22:32:31

backtrace:
:kernel BUG at fs/direct-io.c:1013!
:invalid opcode: 0000 [#1] SMP 
:Modules linked in: snd_usb_audio snd_seq snd_pcm snd_timer snd_page_alloc snd_hwdep snd_usbmidi_lib snd_rawmidi uvcvideo snd_seq_device snd videobuf2_core soundcore videodev media videobuf2_vmalloc videobuf2_memops arc4 btusb bluetooth r852 sm_common nand microcode r592 memstick iTCO_wdt iTCO_vendor_support ath5k ath mac80211 cfg80211 r8169 mii nand_ids mtd nand_ecc asus_laptop sparse_keymap rfkill joydev serio_raw input_polldev uinput sunrpc binfmt_misc firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 863, comm: lvm Not tainted 3.3.1-3.fc16.i686 #1 ASUSTeK Computer Inc.  A8He                /A8He      
:EIP: 0060:[<c0567b84>] EFLAGS: 00010256 CPU: 1
:EIP is at do_blockdev_direct_IO+0x2184/0x2310
:EAX: 00000000 EBX: 00000000 ECX: 0000000c EDX: 00000000
:ESI: 00000000 EDI: 015797f1 EBP: f3523dc8 ESP: f3523c50
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process lvm (pid: 863, ti=f3522000 task=f3fd3240 task.ti=f3522000)
:Stack:
: f3523d84 00000000 f4a07810 00018bc0 f45c0cc0 01409758 f3523cac c0467afb
: 00002b48 00000000 00000000 0000000c f3523f50 f3fd3240 00000fff 00000000
: 00001000 fffff000 ffffffff 00000001 f480726c f3523cbc 00000000 f4807244
:Call Trace:
: [<c0467afb>] ? sched_clock_local+0xcb/0x1c0
: [<c0562bf0>] ? block_llseek+0x100/0x100
: [<c0567d7f>] __blockdev_direct_IO+0x6f/0x80
: [<c0562bf0>] ? block_llseek+0x100/0x100
: [<c05631a8>] blkdev_direct_IO+0x68/0x80
: [<c0562bf0>] ? block_llseek+0x100/0x100
: [<c04ea803>] generic_file_aio_read+0x673/0x700
: [<c046a593>] ? update_curr+0x213/0x380
: [<c0409758>] ? sched_clock+0x8/0x10
: [<c0467afb>] ? sched_clock_local+0xcb/0x1c0
: [<c046da98>] ? trigger_load_balance+0xc8/0x260
: [<c05344ec>] do_sync_read+0xac/0xe0
: [<c0534afc>] ? rw_verify_area+0x6c/0x120
: [<c0534fbc>] vfs_read+0x8c/0x160
: [<c0534440>] ? do_sync_write+0xe0/0xe0
: [<c05350cd>] sys_read+0x3d/0x70
: [<c092e964>] syscall_call+0x7/0xb
: [<c0920000>] ? start_secondary+0x27/0x28d
:Code: 31 f6 e9 3e f1 ff ff 83 ad 44 ff ff ff 01 e9 77 f3 ff ff 89 da e8 8d d8 0c 00 e9 3d f2 ff ff 83 ad 44 ff ff ff 01 e9 49 f9 ff ff <0f> 0b 8b 8d 40 ff ff ff 85 c9 0f 85 32 e6 ff ff 8b 45 bc c7 85 
:EIP: [<c0567b84>] do_blockdev_direct_IO+0x2184/0x2310 SS:ESP 0068:f3523c50
Comment 1 Dave Jones 2012-07-16 17:55:05 EDT
Can you still repeat this in 3.4 ?
Comment 2 Dimon 2012-07-17 08:41:44 EDT
I have installed Fedora 17 x64 for more than 3 weeks ago and ABRT finds only one problem with /usr/bin/python2.7
No more BUGs at fs/direct-io.c:1013
Now i have 3.4.4-5 kernel...
Comment 3 Jeff Moyer 2012-07-17 09:38:37 EDT
This bug does still exist.  There is upstream discussion going on about this here:
  http://choon.net/forum/read.php?21,1139210
Comment 4 Dimon 2012-07-18 10:14:53 EDT
Sorry that i have no time to go up with fixing this bug... I don't know how to use patch (from discussion) to reproduce this bug and my newly installed system is working well now.
I'm just user. If you can help me to reproduce this bug in safe method for my system and information so let's go forward.
Hope you understand me (my native language is russian).
Comment 5 Jeff Moyer 2012-07-18 10:20:26 EDT
I'm working on this, so don't worry about not being able to test it.  I'll update this bug when there is progress.
Comment 6 Dave Jones 2012-10-23 11:34:41 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 7 Justin M. Forbes 2012-11-14 10:25:07 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 8 Jeff Moyer 2012-11-14 13:32:39 EST
The bug is fixed by the following commit:

commit b87570f5d349661814b262dd5fc40787700f80d6
Author: Mikulas Patocka <mpatocka@redhat.com>
Date:   Wed Sep 26 07:46:40 2012 +0200

    Fix a crash when block device is read and block size is changed at the same 

$ git describe --contains b87570f5d349661814b262dd5fc40787700f80d6
v3.7-rc1~10^2~36

Please leave this open until fedora is updated to 3.7.
Comment 9 Josh Boyer 2012-11-14 20:12:54 EST
(In reply to comment #8)
> The bug is fixed by the following commit:
> 
> commit b87570f5d349661814b262dd5fc40787700f80d6
> Author: Mikulas Patocka <mpatocka@redhat.com>
> Date:   Wed Sep 26 07:46:40 2012 +0200
> 
>     Fix a crash when block device is read and block size is changed at the
> same 
> 
> $ git describe --contains b87570f5d349661814b262dd5fc40787700f80d6
> v3.7-rc1~10^2~36
> 
> Please leave this open until fedora is updated to 3.7.

We have that in rawhide today already.

Would you like us to:

1) Cherry pick that patch to 3.6 (why isn't it CC'd to stable?)
2) Close this bug as CLOSED->RAWHIDE
3) Wait until F16 is rebased to 3.7 (which might not ever happen)
4) Wait until F17/F18 are rebased to 3.7
Comment 10 Jeff Moyer 2012-11-15 09:24:37 EST
Hi, Josh,

I think that, given the number of occurrences of this bug (well, there are a lot in f17), we should probably cherry pick the patch and its dependencies.  Do you want me to send you a quilt series for that?
Comment 11 Josh Boyer 2012-11-16 09:28:35 EST
(In reply to comment #10)
> Hi, Josh,
> 
> I think that, given the number of occurrences of this bug (well, there are a
> lot in f17), we should probably cherry pick the patch and its dependencies. 
> Do you want me to send you a quilt series for that?

That would be appreciated, yes!  I would imagine that same series might be suitable to send to the stable tree for 3.6 as well, but it might be a bit too invasive.  Something worth considering anyway.
Comment 12 Jeff Moyer 2012-11-16 17:16:06 EST
Created attachment 646647 [details]
quilt series to fix the bug

Here's a quilt series that will apply cleanly on top of the f16 kernel sources.  I've asked Mikulas whether he has plans to send the patches to -stable.  If he doesn't, I'll take that up separately.
Comment 13 Jeff Moyer 2012-11-16 17:37:24 EST
Created attachment 646649 [details]
revised quilt series

Sorry, I forgot the patches posted (and merged) had a compile bug.  I've fixed that up in this series.  It successfully builds for me, but I have no booted it.
Comment 14 Josh Boyer 2012-11-19 11:06:12 EST
Thanks Jeff.  We'll get these in.
Comment 15 Josh Boyer 2012-11-19 14:18:29 EST
Patches are applied to F16-F18.
Comment 16 Fedora Update System 2012-11-19 17:17:44 EST
kernel-3.6.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.7-2.fc16
Comment 17 Fedora Update System 2012-11-19 17:19:03 EST
kernel-3.6.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.7-2.fc17
Comment 18 Fedora Update System 2012-11-20 16:31:30 EST
kernel-3.6.7-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.7-5.fc18
Comment 19 Fedora Update System 2012-11-20 16:37:55 EST
kernel-3.6.7-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.7-4.fc17
Comment 20 Fedora Update System 2012-11-20 23:07:25 EST
Package kernel-3.6.7-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.7-4.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18684/kernel-3.6.7-4.fc17
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2012-11-21 22:51:17 EST
kernel-3.6.7-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2012-11-26 23:41:20 EST
kernel-3.6.7-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-11-28 06:31:07 EST
kernel-3.6.7-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2012-11-28 08:29:27 EST
kernel-3.6.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.8-2.fc17
Comment 25 Fedora Update System 2012-12-01 03:27:39 EST
kernel-3.6.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.